org.jboss.jca.core.tx.jbossts

## Class UserTransactionProviderImpl

- java.lang.Object
- - org.jboss.jca.core.tx.jbossts.UserTransactionProviderImpl

- All Implemented Interfaces:
    org.jboss.tm.usertx.UserTransactionProvider

      public class UserTransactionProviderImpl
      extends java.lang.Object
      implements org.jboss.jca.core.spi.transaction.usertx.UserTransactionProvider, org.jboss.tm.usertx.UserTransactionProvider

  UserTransactionProvider implementation
  Author:
    Jesper Pedersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserTransactionProviderImpl(org.jboss.jca.core.spi.transaction.usertx.UserTransactionProvider utp)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setTransactionRegistry(org.jboss.tm.usertx.UserTransactionRegistry v)` Set the user transaction registry
    `void` | `setUserTransactionRegistry(org.jboss.jca.core.spi.transaction.usertx.UserTransactionRegistry v)` Set the user transaction registry

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UserTransactionProviderImpl

          public UserTransactionProviderImpl(org.jboss.jca.core.spi.transaction.usertx.UserTransactionProvider utp)

      Constructor
      Parameters:
        `utp` - The user transaction provider

  - ### Method Detail

    - #### setUserTransactionRegistry

          public void setUserTransactionRegistry(org.jboss.jca.core.spi.transaction.usertx.UserTransactionRegistry v)

      Set the user transaction registry
      Parameters:
        `v` - The value

    - #### setTransactionRegistry

          public void setTransactionRegistry(org.jboss.tm.usertx.UserTransactionRegistry v)

      Set the user transaction registry
      Specified by:
        `setTransactionRegistry` in interface `org.jboss.tm.usertx.UserTransactionProvider`
      Parameters:
        `v` - The value

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)